<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>ArtWork/Themes/Models/Distribution/5/ReleaseNotes</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">ArtWork/Themes/Models/Distribution/5/ReleaseNotes</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="en"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><p class="line867">
<h1 id="Release-notes_Design_Models">Release-notes Design Models</h1>
<span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><p class="line867">&lt;&lt;TableOfContents: execution failed [Too many arguments] (see also the log)&gt;&gt; <span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><p class="line867">
<h2 id="welcome.asciidoc">1. welcome.asciidoc</h2>
<span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><div><table style="font-size: x-small;  width: 97%;"><tbody><tr>  <td colspan="1" rowspan="12" style="width:164px; text-align: center"><p class="line862">  </td>
</tr>
<tr style="background: #f8f8f8;">  <td style="width:80px; text-align: right"><span class="anchor" id="line-10"></span><p class="line862"> <strong>Model</strong> </td>
  <td colspan="2" style="text-align: left"><p class="line862"> <tt>${TCAR_BASEDIR}/Models/Documentation/Release-notes/welcome.asciidoc</tt><br>
<tt>${TCAR_BASEDIR}/Models/Documentation/Xsl/docbook2xhtml-single.xsl</tt> </td>
</tr>
<tr>  <td style="text-align: right"><span class="anchor" id="line-11"></span><p class="line862"> <strong>Size</strong>        </td>
  <td colspan="2" style="text-align: left"><p class="line862"> No </td>
</tr>
<tr style="background: #f8f8f8;">  <td style="text-align: right"><span class="anchor" id="line-12"></span><p class="line862"> <strong>Texts</strong>       </td>
  <td colspan="2" style="text-align: left"><p class="line862"> Yes  </td>
</tr>
<tr>  <td style="text-align: right"><span class="anchor" id="line-13"></span><p class="line862"> <strong>Locales</strong>     </td>
  <td colspan="2" style="text-align: left"><p class="line862"> <tt>${TCAR_BASEDIR}/Models/Documentation/Release-notes/Locales/${LANG}/welcome.asciidoc.po</tt>  </td>
</tr>
<tr style="background: #f8f8f8;">  <td style="text-align: right"><span class="anchor" id="line-14"></span><p class="line862"> <strong>Motif</strong>       </td>
  <td colspan="2" style="text-align: left"><p class="line862"> No </td>
</tr>
<tr>  <td style="text-align: right"><span class="anchor" id="line-15"></span><p class="line862"> <strong>Colors</strong>      </td>
  <td colspan="2" style="text-align: left"><p class="line862"> No </td>
</tr>
<tr style="background: #f8f8f8;">  <td style="text-align: right"><span class="anchor" id="line-16"></span><p class="line862"> <strong>Configuration</strong>      </td>
  <td colspan="2" style="text-align: left"><p class="line862"> <tt>${TCAR_WORKDIR}/Release-notes/render.conf</tt> </td>
</tr>
<tr>  <td style="text-align: right"><span class="anchor" id="line-17"></span><p class="line862"> <strong>Final File</strong> </td>
  <td colspan="2" style="text-align: left"><p class="line862"> <tt>${TCAR_WORKDIR}/Release-notes/Final/${LANG}/welcome.html</tt><br>
<tt>${TCAR_WORKDIR}/Release-notes/Final/${LANG}/Images/&nbsp;-&gt;&nbsp;${TCAR_BASEDIR}/Webenv/Final</tt><br>
<tt>${TCAR_WORKDIR}/Release-notes/Final/${LANG}/Styles/&nbsp;-&gt;&nbsp;${TCAR_BASEDIR}/Models/Documentation/Css</tt> </td>
</tr>
<tr style="background: #f8f8f8;">  <td style="text-align: right"><span class="anchor" id="line-18"></span><p class="line862"> <strong>Brands</strong>      </td>
  <td colspan="2" style="text-align: left"><p class="line862"> Yes </td>
</tr>
<tr>  <td style="text-align: right"><span class="anchor" id="line-19"></span><p class="line862"> <strong>Package</strong>     </td>
  <td colspan="2" style="text-align: left"><p class="line862"> centos-release-notes  </td>
</tr>
<tr style="background: #f8f8f8;">  <td style="text-align: right"><span class="anchor" id="line-20"></span><p class="line862"> <strong>Destination</strong> </td>
  <td colspan="2" style="text-align: left"><p class="line862"> <tt>/usr/share/doc/HTML/index.html</tt><br>
<tt>/usr/share/doc/HTML/img/centos-logo.png</tt><br>
<tt>/usr/share/doc/HTML/img/...</tt><br>
<tt>/usr/share/doc/HTML/css/stylesheet.css</tt><br>
<tt>/usr/share/doc/HTML/css/...</tt> </td>
</tr>
<tr style="background: #333;  color:#fff">  <td colspan="4" style="text-align: left"><span class="anchor" id="line-21"></span><p class="line862"> <tt>[user@localhost&nbsp;workdir]$&nbsp;tcar&nbsp;render&nbsp;Release-notes/render.conf&nbsp;--filter="welcome.html"</tt> </td>
</tr>
</tbody></table></div><span class="anchor" id="line-22"></span><span class="anchor" id="line-23"></span><p class="line867">
<h2 id="RELEASE-NOTES.asciidoc">2. RELEASE-NOTES.asciidoc</h2>
<span class="anchor" id="line-24"></span><span class="anchor" id="line-25"></span><div><table style="font-size: x-small;  width: 97%;"><tbody><tr>  <td colspan="1" rowspan="12" style="width:164px; text-align: center"><p class="line862">  </td>
</tr>
<tr style="background: #f8f8f8;">  <td style="width:80px; text-align: right"><span class="anchor" id="line-26"></span><p class="line862"> <strong>Model</strong> </td>
  <td colspan="2" style="text-align: left"><p class="line862"> <tt>${TCAR_BASEDIR}/Models/Documentation/Release-notes/release-notes.asciidoc</tt><br>
<tt>${TCAR_BASEDIR}/Models/Documentation/Xsl/docbook2xhtml-single.xsl</tt> </td>
</tr>
<tr>  <td style="text-align: right"><span class="anchor" id="line-27"></span><p class="line862"> <strong>Size</strong>        </td>
  <td colspan="2" style="text-align: left"><p class="line862"> No </td>
</tr>
<tr style="background: #f8f8f8;">  <td style="text-align: right"><span class="anchor" id="line-28"></span><p class="line862"> <strong>Texts</strong>       </td>
  <td colspan="2" style="text-align: left"><p class="line862"> Yes  </td>
</tr>
<tr>  <td style="text-align: right"><span class="anchor" id="line-29"></span><p class="line862"> <strong>Locales</strong>     </td>
  <td colspan="2" style="text-align: left"><p class="line862"> <tt>${TCAR_BASEDIR}/Models/Documentation/Release-notes/Locales/${LANG}/release-notes.asciidoc.po</tt>  </td>
</tr>
<tr style="background: #f8f8f8;">  <td style="text-align: right"><span class="anchor" id="line-30"></span><p class="line862"> <strong>Motif</strong>       </td>
  <td colspan="2" style="text-align: left"><p class="line862"> No </td>
</tr>
<tr>  <td style="text-align: right"><span class="anchor" id="line-31"></span><p class="line862"> <strong>Colors</strong>      </td>
  <td colspan="2" style="text-align: left"><p class="line862"> No </td>
</tr>
<tr style="background: #f8f8f8;">  <td style="text-align: right"><span class="anchor" id="line-32"></span><p class="line862"> <strong>Configuration</strong>      </td>
  <td colspan="2" style="text-align: left"><p class="line862"> <tt>${TCAR_WORKDIR}/Release-notes/render.conf</tt> </td>
</tr>
<tr>  <td style="text-align: right"><span class="anchor" id="line-33"></span><p class="line862"> <strong>Final Files</strong> </td>
  <td colspan="2" style="text-align: left"><p class="line862"> <tt>${TCAR_WORKDIR}/Release-notes/${VERSION}/Final/${LANG}/RELEASE-NOTES</tt><br>
<tt>${TCAR_WORKDIR}/Release-notes/${VERSION}/Final/${LANG}/RELEASE-NOTES.html</tt><br>
<tt>${TCAR_WORKDIR}/Release-notes/${VERSION}/Final/${LANG}/Images/&nbsp;-&gt;&nbsp;${TCAR_BASEDIR}/Webenv/Final</tt><br>
<tt>${TCAR_WORKDIR}/Release-notes/${VERSION}/Final/${LANG}/Styles/&nbsp;-&gt;&nbsp;${TCAR_BASEDIR}/Models/Documentation/Css</tt> </td>
</tr>
<tr style="background: #f8f8f8;">  <td style="text-align: right"><span class="anchor" id="line-34"></span><p class="line862"> <strong>Brands</strong>    </td>
  <td colspan="2" style="text-align: left"><p class="line862"> Yes </td>
</tr>
<tr>  <td style="text-align: right"><span class="anchor" id="line-35"></span><p class="line862"> <strong>Package</strong>     </td>
  <td colspan="2" style="text-align: left"><p class="line862"> centos-release-notes  </td>
</tr>
<tr style="background: #f8f8f8;">  <td style="text-align: right"><span class="anchor" id="line-36"></span><p class="line862"> <strong>Destination</strong> </td>
  <td colspan="2" style="text-align: left"><p class="line862"> <tt>/usr/share/doc/centos-release-notes-${VERSION}/RELEASE-NOTES-${LANG</tt>}<br>
<tt>/usr/share/doc/centos-release-notes-${VERSION}/RELEASE-NOTES-${LANG}.html</tt><br>
<tt>/usr/share/doc/centos-release-notes-${VERSION}/Images&nbsp;-&gt;&nbsp;/usr/share/doc/HTML/img</tt><br>
<tt>/usr/share/doc/centos-release-notes-${VERSION}/Styles&nbsp;-&gt;&nbsp;/usr/share/doc/HTML/css</tt> </td>
</tr>
<tr style="background: #333;  color:#fff">  <td colspan="4" style="text-align: left"><span class="anchor" id="line-37"></span><p class="line862"> <tt>[user@localhost&nbsp;workdir]$&nbsp;tcar&nbsp;render&nbsp;Release-notes/render.conf&nbsp;--filter="RELEASE-NOTES.html"</tt> </td>
</tr>
</tbody></table></div><span class="anchor" id="line-38"></span><span class="anchor" id="line-39"></span><ul><li>The value of VERSION variable is set inside the configuration file. So, each time you need to produce release notes for a different release of The CentOS Distribution, open the configuration file, change the version value, and run the render command again. <span class="anchor" id="line-40"></span></li><li>The CentOS Project maintains near to 4 major releases of The CentOS Distribution in parallel. The release notes published inside each of them are practically the same except the version number that change. To produce the same release notes for different version numbers, open the configuration file and add one version line for each version number you want to produce release notes for. This way, each time you update the design model and run the render command, the changes introduced in the design model will be propagated to all final files. <span class="anchor" id="line-41"></span></li></ul><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:19
</body>
</html>
